//---------------------------------------------------------------------------
// Contraband Hell Edition - Immortalware JTHZ
// Concept & programming:    Julius B. Thyssen & Hens Zimmerman
// https://come.to/us         mailto:jthz@usa.net
// Programmed using          Borland C++ Builder 3.0 Professional
//---------------------------------------------------------------------------
#include <vcl.h>
#pragma hdrstop
USERES("Contrab.res");
USEFORM("Unit1.cpp", Form1);
USEUNIT("Crc32.cpp");
USEUNIT("Idea.cpp");
USEUNIT("Randdev.cpp");
USERC("rcdata.rc");
//---------------------------------------------------------------------------
WINAPI WinMain(HINSTANCE, HINSTANCE, LPSTR, int)
{
    const char mutexname[]="Contrab Hell Ed.";
    if(OpenMutex(0,false,mutexname)) // app is already running
        return 0;
    HANDLE mutex=CreateMutex(NULL,true,mutexname);
    try{
        Application->Initialize();
        Application->Title = "Contraband";
        Application->CreateForm(__classid(TForm1), &Form1);
        Application->Run();
    }
    catch (Exception &exception){
        Application->ShowException(&exception);
    }
    ReleaseMutex(mutex);
    return 0;
}
//---------------------------------------------------------------------------
